#include <gb.h> 

unsigned char pal[] =
{
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1
};

void main()        /* main program */
{
  extern unsigned char pic_tiles[];
  extern unsigned char pic_map[];

	//set palettes
  set_bkg_palette_entry(0,0,RGB(31,31,31));
  set_bkg_palette_entry(0,1,RGB(23,23,23)); 
  set_bkg_palette_entry(0,2,RGB(15,15,15));
  set_bkg_palette_entry(0,3,RGB(31,0,0));

  set_bkg_palette_entry(1,0,RGB(31,31,31));
  set_bkg_palette_entry(1,1,RGB(23,23,23)); 
  set_bkg_palette_entry(1,2,RGB(15,15,15));
  set_bkg_palette_entry(1,3,RGB(0,0,31));

  VBK_REG = 0;	//select VRAM bank 0 for tiles transfer

  SWITCH_ROM_MBC1(1); // the tiles and map are in bank 1
    // set tiles-data
  set_bkg_data( 0, 158, pic_tiles);
  // Set data 
  set_bkg_tiles( 0, 1, 20, 18, pic_map);

  SHOW_BKG;
  DISPLAY_ON;

  // now change the palette of a few of the lines

  VBK_REG = 1; // select VRAM bank 1 for tile attribute transfer
  set_bkg_tiles (0,3,20,1,pal);
  set_bkg_tiles (0,4,20,1,pal);
  set_bkg_tiles (0,5,20,1,pal);
  VBK_REG = 0; // select VRAM bank 0 for tile transfer

  while(1)
  {
  } 
} 
 
